MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026581Open CASCADE[OCCT] OCCT:Codingpublic2015-08-21 11:302016-04-20 15:49
Reporterski 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.0.0Fixed in Version[OCCT] 7.0.0 
Summary0026581: Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion
DescriptionNext warnings appears during occt compilation with vc14:

1>..\src\OSD\OSD_EnvironmentIterator.cxx(122): warning C4312: 'type cast': conversion from 'Standard_Integer' to 'Standard_CString' of greater size
1>..\src\OSD\OSD_EnvironmentIterator.cxx(130): warning C4312: 'type cast': conversion from 'Standard_Integer' to 'Standard_CString' of greater size
1>..\src\OSD\OSD_EnvironmentIterator.cxx(142): warning C4312: 'type cast': conversion from 'Standard_Integer' to 'Standard_CString' of greater size
1>..\src\OSD\OSD_File.cxx(1127): warning C4312: 'type cast': conversion from 'DWORD' to 'Standard_CString' of greater size
1>..\src\OSD\OSD_File.cxx(1184): warning C4312: 'type cast': conversion from 'DWORD' to 'Standard_CString' of greater size
1>..\src\OSD\OSD_Thread.cxx(246): warning C4312: 'type cast': conversion from 'DWORD' to 'Standard_Address' of greater size
1>..\src\OSD\OSD_Thread.cxx(276): warning C4312: 'type cast': conversion from 'DWORD' to 'Standard_Address' of greater size
1>..\src\OSD\OSD_WNT.cxx(917): warning C4312: 'type cast': conversion from 'DWORD' to 'LPVOID' of greater size
1>..\src\OSD\OSD_WNT.cxx(972): warning C4312: 'type cast': conversion from 'DWORD' to 'LPVOID' of greater size
1>..\src\OSD\OSD_WNT.cxx(980): warning C4312: 'type cast': conversion from 'DWORD' to 'LPVOID' of greater size
1>..\src\OSD\OSD_WNT.cxx(1125): warning C4312: 'type cast': conversion from 'DWORD' to 'LPVOID' of greater size
Steps To ReproduceTry to compile occt with vc14 (Visual Studio 2015)
TagsNo tags attached.
Test case number
Attached Files

- Relationships
parent of 0026831closedbugmaster Configuration - define HashCode for pthread_t on Android 
related to 0024574closedbugmaster ICC compiler warnings on Windows 
child of 0026547closedski Configuration - fix compilation errors on VS2015 

-  Notes
(0044512)
git (administrator)
2015-08-21 17:12

Branch CR26581 has been created by ski.

SHA-1: a4aba412d639c9ad5bc6d99857a93decfde2c55e


Detailed log of new commits:

Author: ski
Date: Tue Aug 18 17:19:17 2015 +0300

    0026581: Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion
    
    Eliminated warnings "'type cast': conversion"
(0045303)
git (administrator)
2015-09-09 13:05

Branch CR26581 has been updated forcibly by ski.

SHA-1: a642301c0e9a863ca9bd9c17915eec8072642947
(0045316)
ski (developer)
2015-09-09 14:20

Warnings were fixed on vc14.
(0045364)
abv (manager)
2015-09-10 06:37

Functions used in the proposed fix (PtrToLong etc.) are defined only on Windows, thus it is not portable. The types involved should probably be revised instead of modifying a cast.
(0046408)
git (administrator)
2015-10-02 16:19

Branch CR26581 has been updated forcibly by rkv.

SHA-1: 0e05bf1c55772e57aa3da4641bc65801e5591d5f
(0046411)
rkv (developer)
2015-10-02 16:25

PtrToLong has been removed from common code.
(0046676)
kgv (developer)
2015-10-12 13:32

Dear bugmaster,

please also switch to tested (see 0026585).
(0046947)
git (administrator)
2015-10-16 16:28

Branch CR26581 has been deleted by kgv.

SHA-1: 0e05bf1c55772e57aa3da4641bc65801e5591d5f

- Related Changesets
occt: master 5a9487c4
Timestamp: 2015-10-02 13:18:58
Author: rkv
Committer: bugmaster
Details ] Diff ]
0026581: Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion
mod - src/BOPCol/BOPCol_Parallel.hxx Diff ] File ]
mod - src/Standard/Standard_ThreadId.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-08-21 11:30 ski New Issue
2015-08-21 11:30 ski Assigned To => ski
2015-08-21 11:30 ski Status new => assigned
2015-08-21 11:53 ski Summary Eliminate compile errors obtained by building occt with vc14 => Eliminate compile warnings obtained by building occt with vc14: 'type cast' conversion
2015-08-21 11:53 ski Description Updated View Revisions
2015-08-21 17:12 git Note Added: 0044512
2015-08-25 09:31 kgv Relationship added child of 0026547
2015-09-09 13:05 git Note Added: 0045303
2015-09-09 14:20 ski Note Added: 0045316
2015-09-09 14:20 ski Assigned To ski => abv
2015-09-09 14:20 ski Status assigned => resolved
2015-09-10 06:37 abv Note Added: 0045364
2015-09-10 06:37 abv Assigned To abv => ski
2015-09-10 06:37 abv Status resolved => assigned
2015-09-10 14:26 ski Description Updated View Revisions
2015-09-23 09:45 abv Assigned To ski => rkv
2015-09-25 00:24 abv Relationship added related to 0024574
2015-10-02 16:19 git Note Added: 0046408
2015-10-02 16:25 rkv Note Added: 0046411
2015-10-02 16:26 rkv Assigned To rkv => kgv
2015-10-02 16:26 rkv Status assigned => resolved
2015-10-12 13:32 kgv Note Added: 0046676
2015-10-12 13:32 kgv Assigned To kgv => bugmaster
2015-10-12 13:32 kgv Status resolved => feedback
2015-10-13 16:02 bugmaster Status feedback => tested
2015-10-16 13:18 bugmaster Changeset attached => occt master 5a9487c4
2015-10-16 13:18 bugmaster Status tested => verified
2015-10-16 13:18 bugmaster Resolution open => fixed
2015-10-16 16:28 git Note Added: 0046947
2015-11-02 17:56 kgv Relationship added parent of 0026831
2016-04-20 15:44 aiv Fixed in Version => 7.0.0
2016-04-20 15:49 aiv Status verified => closed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker